For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Network Infrastructure Automation with Temporal
      • Temporal Deployment Process
      • Temporal CLI
      • Workflows for Day 2 Operations
      • Temporal API
        • GETHealthcheck
        • GETRBAC Config Status
        • GETCurrent User Info
          • GETGet Workflows
          • POSTExecute HelloWorld
          • POSTExecute HelloWorldApproval
          • POSTExecute AIRCreateBlueprintSimulationWorkflow
          • POSTExecute AIRCreateSimulationWorkflow
          • POSTExecute AIRDeleteSimulationWorkflow
          • POSTExecute AIRValidateSiteWorkflow
          • POSTExecute BackupWorkflow
          • POSTExecute BatchDeployWorkflow
          • POSTExecute ConnectedHostMetadataWorkflow
          • POSTExecute ValidateHardwareWorkflow
          • POSTExecute DeployWorkflow
          • POSTExecute DeviceCableValidationWorkflow
          • POSTExecute DevicePasswordRotationWorkflow
          • POSTExecute DiagnosticsWorkflow
          • POSTExecute IBPKeyCreationWorkflow
          • POSTExecute IBPKeyMemberAddWorkflow
          • POSTExecute IBPKeyMemberDeleteWorkflow
          • POSTExecute IBPKeyMemberUpdateWorkflow
          • POSTExecute IBPortGuidDiscoveryWorkflow
          • POSTExecute InfinibandCableValidationWorkflow
          • POSTExecute InfinibandGetUnhealthyPortsWorkflow
          • POSTExecute InfinibandMlnxOSUpgradeWorkflow
          • POSTExecute MultiDeployWorkflow
          • POSTExecute NVLinkSwitchFirmwareUpgradeWorkflow
          • POSTExecute PortLLDPInfoWorkflow
          • POSTExecute RedfishProvisioningWorkflow
          • POSTExecute ReprovisionWorkflow
          • POSTExecute SiteCableValidationWorkflow
          • POSTExecute SitePasswordRotationWorkflow
          • POSTExecute SwitchOSUpgradeWorkflow
          • POSTExecute TenantDeployWorkflow
          • POSTExecute VpcTenantChangeWorkflow
          • POSTExecute VpcAssignmentWorkflow
          • POSTExecute VpcCreationWorkflow
          • POSTExecute VpcDeletionWorkflow
          • GETGet Workflow Types
          • GETGet Workflow
          • POSTApprove
          • POSTReject
          • POSTRetry
          • GETDownload Tech Support
          • POSTTerminate
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesTemporal ServiceTemporal APIworkflow

Get Workflow

||View as Markdown|
GET
https://host.com/v1/workflow/:workflow_id
GET
/v1/workflow/:workflow_id
$curl https://host.com/v1/workflow/workflow_id \
> -H "Content-Type: application/json"
1{
2 "close_time": "2024-01-15T09:30:00Z",
3 "href": "https://temporal.example.com/workflow/a1b2c3d4-e5f6-7890-ab12-cdef34567890",
4 "id": "a1b2c3d4-e5f6-7890-ab12-cdef34567890",
5 "pending_approval": true,
6 "result": null,
7 "search_attributes": {
8 "Department": [
9 "Finance"
10 ],
11 "Priority": [
12 2
13 ],
14 "CostEstimate": [
15 1500.75
16 ],
17 "IsUrgent": [
18 true
19 ],
20 "RequestedDate": [
21 "2024-01-10T08:00:00Z"
22 ]
23 },
24 "stages": [
25 {
26 "depends_on": [
27 "initial-setup"
28 ],
29 "description": "Review budget allocation",
30 "execution_time": 3600.5,
31 "name": "Budget Approval",
32 "requires_approval": true,
33 "retryable": true,
34 "state": "PENDING_APPROVAL",
35 "traceback": null,
36 "approval_threshold": 2,
37 "approvers": [
38 {
39 "time": "2024-01-15T08:45:00Z",
40 "user": "jane.doe@example.com"
41 }
42 ],
43 "child_workflows": [
44 "b2c3d4e5-f678-9012-ab34-cdef56789012"
45 ],
46 "input": {
47 "budget": 1500,
48 "currency": "USD"
49 },
50 "output": {
51 "approved": true,
52 "comments": "Approved with minor adjustments"
53 },
54 "rejecters": [
55 {
56 "time": "2024-01-15T08:30:00Z",
57 "user": "john.smith@example.com"
58 }
59 ],
60 "retry_count": 1,
61 "state_history": [
62 {
63 "state": "NOT_STARTED",
64 "time": "2024-01-15T07:30:00Z"
65 },
66 {
67 "state": "IN_PROGRESS",
68 "time": "2024-01-15T08:00:00Z"
69 },
70 {
71 "state": "PENDING_APPROVAL",
72 "time": "2024-01-15T08:45:00Z"
73 }
74 ]
75 }
76 ],
77 "start_time": "2024-01-15T07:30:00Z",
78 "started_by": "alice.manager@example.com",
79 "status": "RUNNING",
80 "workflow_input": {
81 "request_id": "REQ-20240115-001",
82 "initiator": "alice.manager@example.com"
83 },
84 "workflow_type": "BudgetApprovalWorkflow"
85}
Get workflow execution details.
Previous

Get Workflow Types

Next

Approve

Path parameters

workflow_idstringRequired

Response

Successful Response
close_timedatetime or null
hrefstringRead-only
Calculate URL to Temporal UI Workflow View.
idstring
pending_approvalboolean
resultany
search_attributesmap from strings to lists of strings or lists of integers or lists of doubles or lists of booleans or lists of datetimes
stageslist of objects
start_timedatetime
started_bystring
statusstring
workflow_inputany
workflow_typestring

Errors

422
Unprocessable Entity Error